Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.context
Class ExecuteExtendedVisitContext

    java.lang.Object
      javax.faces.component.visit.VisitContext
          org.richfaces.context.ExtendedVisitContext
              org.richfaces.context.BaseExtendedVisitContext
                  org.richfaces.context.ExecuteExtendedVisitContext

    public class ExecuteExtendedVisitContext

extends BaseExtendedVisitContext

Author:
  Nick Belaevski

Field Summary

Fields inherited from class org.richfaces.context.ExtendedVisitContext
`META_COMPONENT_ID`

Fields inherited from class javax.faces.component.visit.VisitContext
`ALL_IDS`

Constructor Summary
`ExecuteExtendedVisitContext(javax.faces.context.FacesContext facesContext, java.util.Collection<java.lang.String> clientIds, java.util.Set<javax.faces.component.visit.VisitHint> hints)`

Method Summary

Methods inherited from class org.richfaces.context.BaseExtendedVisitContext
`addDirectSubtreeIdsToVisitForImplicitComponents, createNamingContainerVisitContext, getDirectSubtreeIdsToVisit, getHints, getIdsToVisit, getSubtreeIdsToVisit, hasImplicitSubtreeIdsToVisit, invokeVisitCallback, invokeVisitCallbackForImplicitComponent, shouldCompleteOnEmptyIds`

Methods inherited from class org.richfaces.context.ExtendedVisitContext
`buildExtendedClientId, buildExtendedComponentId, getFacesContext, getVisitMode, invokeMetaComponentVisitCallback`

Methods inherited from class javax.faces.component.visit.VisitContext
`createVisitContext, createVisitContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecuteExtendedVisitContext

    public ExecuteExtendedVisitContext(javax.faces.context.FacesContext facesContext,
                                       java.util.Collection<java.lang.String> clientIds,
                                       java.util.Set<javax.faces.component.visit.VisitHint> hints)

Parameters:
  `facesContext` -
  `clientIds` -
  `hints` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.